For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Versions
      • GETDownload MSProject Xml
      • POSTRestore Project Version
      • POSTCopy Project Version
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Version

Retrieve Project Versions

GET
https://api.projectmanager.com/api/data/projects/:projectId/versions
GET
/api/data/projects/:projectId/versions
$curl https://api.projectmanager.com/api/data/projects/projectId/versions \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "version": 1,
17 "initials": "string",
18 "name": "string",
19 "avatarUrl": "string",
20 "color": "string",
21 "createDate": "2024-01-15T09:30:00Z",
22 "userId": "string",
23 "groupId": "string",
24 "changeData": {
25 "type": "string",
26 "method": "string",
27 "property": "string",
28 "value": "string",
29 "restoreVersion": 1
30 },
31 "applicationName": "string",
32 "tokenId": "string",
33 "tokenName": "string"
34 }
35 ]
36}
Returns projects versions including version, user who made changes
Was this page helpful?
Previous

Download MSProject Xml

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the Project

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.